using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using EnterpriseLibraryExtensions.EnvironmentalOverrides.Properties;
using System.ComponentModel;

namespace EnterpriseLibraryExtensions.EnvironmentalOverrides
{
    [Image(typeof(EnvironmentalOverridesNode))]
    [SelectedImage(typeof(EnvironmentalOverridesNode))]
    [NodeInformation(typeof(EnvironmentalOverridesNode), "EnvironmentInfoHtml","EnvironmentInfoTitle", typeof(Resources))] 
    class EnvironmentalOverridesNode : ConfigurationNode
    {
        public EnvironmentalOverridesNode()
        {
            Rename(Resources.EnvironmentalOverridesNode);
        }

        [ReadOnly(true)]
        public override string Name
        {
            get
            {
                return base.Name;
            }
            set
            {
                base.Name = value;
            }
        }
    }
}
