using System;
using System.Collections.Generic;
using System.Text;

namespace EnterpriseLibraryExtensions.NakedNode
{
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Property)]
    public sealed class NameAttribute : Attribute
    {
        private readonly string _name;

        public NameAttribute(string name)
        {
            _name = name;
        }

        public string Name
        {
            get { return _name; }
        }
    }
}
