using System;
using System.Collections.Generic;
using System.Text;

namespace EnterpriseLibraryExtensions.NakedNode
{

    [AttributeUsage(AttributeTargets.Property, AllowMultiple=false)]
    public sealed class RefreshPropertyGridAttribute : Attribute
    {
        readonly bool _refreshPropertyGridOnSet;
        public RefreshPropertyGridAttribute(bool refreshPropertyGridOnSet)
        {
            _refreshPropertyGridOnSet = refreshPropertyGridOnSet;
        }

        public bool RefreshPropertyGridOnSet
        {
            get { return _refreshPropertyGridOnSet; }
        }
    }
}
