using System;
using System.Collections.Generic;
using System.Text;

namespace EnterpriseLibraryExtensions.Protection.PasswordParameter
{
    class Password
    {
        private string passwordText;

        /// <summary>
        /// <para>Initialzie a new instance of the <see cref="Password"/> class with the password text.</para>
        /// </summary>
        /// <param name="passwordText">
        /// <para>The password text.</para>
        /// </param>
        public Password(string passwordText)
        {
            this.passwordText = passwordText;
        }

        /// <summary>
        /// <para>Gets the password text.</para>
        /// </summary>
        /// <value>
        /// <para>The password text.</para>
        /// </value>
        public string PasswordText
        {
            get { return passwordText; }
        }

        /// <summary>
        /// <para>Creates and returns a string representation of the current password.</para>
        /// </summary>
        /// <returns><para>A string representation of the current password.</para></returns>
        public override string ToString()
        {
            return "***********";
        }
    }
}
