using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using System.Web.Configuration;
using EnterpriseLibraryExtensions.NakedNode;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(CompilationSectionNode))]
    [Image(typeof(CompilationSectionNode))]
    public class CompilationSectionNode : NakedConfigurationNode<CompilationSection>
    {
        public CompilationSectionNode()
            : this(new CompilationSection())
        {
        }

        public CompilationSectionNode(CompilationSection data)
            :base(data)
        {
        }

        protected override void InitializeCommands(NakedNodeCommandRegistrar commandRegistrar)
        {
            commandRegistrar.DisableResigtration(typeof(CompilerCollection));

            base.InitializeCommands(commandRegistrar);
        }
    }
}
