using System;
using System.Collections.Generic;
using System.Text;
using EnterpriseLibraryExtensions.NakedNode;
using System.Web.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(HttpCookiesSectionNode))]
    [Image(typeof(HttpCookiesSectionNode))]
    public class HttpCookiesSectionNode : NakedConfigurationNode<HttpCookiesSection>
    {
        public HttpCookiesSectionNode()
            : this(new HttpCookiesSection())
        {
        }

        public HttpCookiesSectionNode(HttpCookiesSection data)
            :base(data)
        {
        }

    }
}
