using System;
using System.Collections.Generic;
using System.Text;
using System.Web.Configuration;
using EnterpriseLibraryExtensions.NakedNode;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(HttpRuntimeSectionNode))]
    [Image(typeof(HttpRuntimeSectionNode))]
    public class HttpRuntimeSectionNode : NakedConfigurationNode<HttpRuntimeSection>
    {
        public HttpRuntimeSectionNode()
            : this(new HttpRuntimeSection())
        {
        }

        public HttpRuntimeSectionNode(HttpRuntimeSection data)
            :base(data)
        {
        }
    }
}
