using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using System.Web.Configuration;
using EnterpriseLibraryExtensions.NakedNode;
using System.ComponentModel;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(MembershipSectionNode))]
    [Image(typeof(MembershipSectionNode))]
    public class MembershipSectionNode : NakedConfigurationNode<MembershipSection>
    {
        public MembershipSectionNode()
            : this(new MembershipSection())
        {
        }

        public MembershipSectionNode(MembershipSection data)
            :base(data)
        {
        }

        protected override void InitializeProperties(IPropertyAttributeService propertyAttributeService)
        {
            propertyAttributeService.AddAttributeForProperty(typeof(MembershipSection), "DefaultProvider", new TypeConverterAttribute(typeof(ProviderElementCollectionTypeConverter)));

            base.InitializeProperties(propertyAttributeService);
        }
    }
}
