using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using System.Web.Configuration;
using EnterpriseLibraryExtensions.NakedNode;
using System.ComponentModel;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(RoleManagerSectionNode))]
    [Image(typeof(RoleManagerSectionNode))]
    public class RoleManagerSectionNode : NakedConfigurationNode<RoleManagerSection>
    {
        public RoleManagerSectionNode()
            : this(new RoleManagerSection())
        {
        }

        public RoleManagerSectionNode(RoleManagerSection data)
            : base(data)
        {
        }

        protected override void InitializeProperties(IPropertyAttributeService propertyAttributeService)
        {
            propertyAttributeService.AddAttributeForProperty(typeof(RoleManagerSection), "DefaultProvider", new TypeConverterAttribute(typeof(ProviderElementCollectionTypeConverter)));

            base.InitializeProperties(propertyAttributeService);
        }
    }
}
