using System;
using System.Collections.Generic;
using System.Text;
using System.Web.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using EnterpriseLibraryExtensions.NakedNode;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(SecurityPolicySectionNode))]
    [Image(typeof(SecurityPolicySectionNode))]
    public class SecurityPolicySectionNode : NakedConfigurationNode<SecurityPolicySection>
    {
        public SecurityPolicySectionNode()
            : this(new SecurityPolicySection())
        {
        }

        public SecurityPolicySectionNode(SecurityPolicySection data)
            : base(data)
        {
        }
    }
}
