using System;
using System.Collections.Generic;
using System.Text;
using EnterpriseLibraryExtensions.NakedNode;
using System.Web.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(TraceSectionNode))]
    [Image(typeof(TraceSectionNode))]
    public class TraceSectionNode : NakedConfigurationNode<TraceSection>
    {
        public TraceSectionNode(TraceSection data)
            :base(data)
        {
        }

        public TraceSectionNode()
            :this(new TraceSection())
        {
        }
    }
}
