using System;
using System.Collections.Generic;
using System.Text;
using System.Web.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using EnterpriseLibraryExtensions.NakedNode;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(XhtmlConformanceSectionNode))]
    [Image(typeof(XhtmlConformanceSectionNode))]
    public class XhtmlConformanceSectionNode : NakedConfigurationNode<XhtmlConformanceSection>
    {
        public XhtmlConformanceSectionNode()
            : this(new XhtmlConformanceSection())
        {
        }

        public XhtmlConformanceSectionNode(XhtmlConformanceSection data)
            :base(data)
        {
        }
    }
}
