using System;
using System.Collections.Generic;
using System.Text;

namespace EnterpriseLibraryExtensions
{
    [AttributeUsage(AttributeTargets.Assembly, AllowMultiple=true)]
    public sealed class ConfigDesignVerbExportAttribute : Attribute
    {
        private readonly Type _configDesignVerb;

        public ConfigDesignVerbExportAttribute(Type configDesignVerb)
        {
            _configDesignVerb = configDesignVerb;
        }

        public Type ConfigDesignVerb
        {
            get
            {
                return _configDesignVerb;
            }
        }
    }
}
