using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace EnterpriseLibraryExtensions
{
    public partial class NodeInformationUI : Form
    {
        public NodeInformationUI(NodeInformationAttribute informationAttribute)
        {
            InitializeComponent();

            this.Text = informationAttribute.Title;
            this.webBrowser1.DocumentText = informationAttribute.Html;
            
            Bitmap image = ToolboxBitmapAttribute.GetImageFromResource(informationAttribute.IconType, null, false) as Bitmap;

            if (image != null)
            {
                Icon = Icon.FromHandle(image.GetHicon());
            }
        }
    }
}