using System;
using System.Collections.Generic;
using System.Text;

namespace EnterpriseLibraryExtensions.NakedNode
{
    [AttributeUsage(AttributeTargets.Property)]
    public sealed class TypeAttribute : Attribute
    {
        readonly Type _type;
        readonly Type _typeConverter;

        public TypeAttribute(Type type, Type typeConverter)
        {
            _type = type;
            _typeConverter = typeConverter;
        }

        public Type Type
        {
            get { return _type; }
        }

        public Type TypeConverter
        {
            get { return _typeConverter; }
        }
        
    }
}
