using System;
using System.Collections.Generic;
using System.Text;

namespace EnterpriseLibraryExtensions.NakedNode
{
    [AttributeUsage(AttributeTargets.Property, AllowMultiple=false)]
    public sealed class DefaultAssemblyStringAttribute : Attribute
    {
        private readonly string _assemblyString;
        public DefaultAssemblyStringAttribute(string assemblyString)
        {
            _assemblyString = assemblyString;
        }

        public string FixTypeString(string typeString)
        {
            if (typeString.IndexOf(',') == -1)
            {
                return string.Format("{0}, {1}", typeString, _assemblyString);
            }

            return typeString;
        }
    }
}
