using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using EnterpriseLibraryExtensions.PasswordParameter.Properties;
//using Microsoft.Practices.EnterpriseLibrary.Data.Configuration.Design;

namespace EnterpriseLibraryExtensions.PasswordParameter
{
    class PasswordParameterCommandRegistrar :CommandRegistrar
    {
        public PasswordParameterCommandRegistrar(IServiceProvider serviceProvider)
            :base(serviceProvider)
        {
        }

        public override void Register()
        {
            //base.AddSingleChildNodeCommand(Resources.AddPasswordParameter, Resources.AddPasswordParameterLong, typeof(PasswordParameterNode), typeof(ConnectionStringSettingsNode));
            base.AddDefaultCommands(typeof(PasswordParameterNode));
        }

        public static void Registrer(IServiceProvider serviceProvider)
        {
            new PasswordParameterCommandRegistrar(serviceProvider).Register();
        }
    }
}
