using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
//using Microsoft.Practices.EnterpriseLibrary.Data.Configuration.Design;
using EnterpriseLibraryExtensions.PasswordParameter.Properties;
using System.Configuration;

namespace EnterpriseLibraryExtensions.PasswordParameter
{
    class PasswordParameterManager : ConfigurationDesignManager
    {
        IConfigurationManagementService _configurationManagementService;
        IServiceProvider _serviceProvider;

        public override void Register(IServiceProvider serviceProvider)
        {
            PasswordParameterCommandRegistrar.Registrer(serviceProvider);
            _serviceProvider = serviceProvider;
            _configurationManagementService = serviceProvider.GetService(typeof(IConfigurationManagementService)) as IConfigurationManagementService;
            IGlobalEvents extendedEventService = serviceProvider.GetService(typeof(IGlobalEvents)) as IGlobalEvents;
            extendedEventService.HierarchySaved += new EventHandler<HierarchySavedEventArgs>(extendedEventService_HierarchySaved);

        }

        protected override void OpenCore(IServiceProvider serviceProvider, ConfigurationApplicationNode rootNode, System.Configuration.ConfigurationSection section)
        {
            //foreach (ParameterNode parameterNode in rootNode.Hierarchy.FindNodesByType(typeof(ParameterNode)))
            //{
            //    if (string.Compare(parameterNode.Name, PasswordParameterNode.PasswordNodeName, true) == 0)
            //    {
            //        ConfigurationNode parentNode = parameterNode.Parent;
            //        parentNode.RemoveNode(parameterNode);
            //        parentNode.AddNode(new PasswordParameterNode(parameterNode.Value));
            //    }
            //}
        }

        void extendedEventService_HierarchySaved(object sender, HierarchySavedEventArgs e)
        {
            //bool shouldSave = false;
            //IConfigurationUIHierarchy currentHierarchy = ServiceHelper.GetCurrentHierarchy(_serviceProvider) as IConfigurationUIHierarchy;
            //Configuration configuration = _configurationManagementService.GetConfiguration(currentHierarchy);
            
            //foreach (ConnectionStringSettingsNode connectionStringNode in currentHierarchy.FindNodesByType(typeof(ConnectionStringSettingsNode)))
            //{
            //    ConnectionStringsSection connectionStringSection = configuration.GetSection("connectionStrings") as ConnectionStringsSection;
            //    if (connectionStringSection == null) return;

            //    ConnectionStringSettings connectionString = connectionStringSection.ConnectionStrings[connectionStringNode.Name];
            //    foreach (PasswordParameterNode pwdNode in currentHierarchy.FindNodesByType(connectionStringNode, typeof(PasswordParameterNode)))
            //    {
            //        connectionStringSection.SectionInformation.ForceSave = true;
            //        if (connectionString.ConnectionString.IndexOf(";password=", StringComparison.OrdinalIgnoreCase) == -1)
            //        {
            //            connectionString.ConnectionString += string.Format(";password={0};", pwdNode.Value.Value);
            //            shouldSave = true;
            //        }
            //    }
            //}

            //if (shouldSave)
            //{
            //    _configurationManagementService.FlushConfigurationSourceCache(currentHierarchy);
            //    configuration.Save(ConfigurationSaveMode.Full);
            //}
        }
    }
}
