using System;
using System.Collections.Generic;
using System.Text;

namespace EnterpriseLibraryExtensions.Protection
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple=false)]
    public sealed class ProtectableAttribute : Attribute
    {
        private readonly string _sectionName;

        public ProtectableAttribute(string sectionName)
        {
            _sectionName = sectionName;
        }

        public string SectionName
        {
            get { return _sectionName; }
        }
    }
}
