using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using System.Web.Configuration;
using EnterpriseLibraryExtensions.NakedNode;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(DeploymentSectionNode))]
    [Image(typeof(DeploymentSectionNode))]
    public class DeploymentSectionNode : NakedConfigurationNode<DeploymentSection>
    {
        public DeploymentSectionNode()
            : this(new DeploymentSection())
        {
        }

        public DeploymentSectionNode(DeploymentSection data)
            :base(data)
        {
        }
    }
}
