using System;
using System.Collections.Generic;
using System.Text;
using EnterpriseLibraryExtensions.NakedNode;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using System.Web.Configuration;
using System.ComponentModel;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(ProfileSectionNode))]
    [Image(typeof(ProfileSectionNode))]
    public class ProfileSectionNode : NakedConfigurationNode<ProfileSection>
    {
        public ProfileSectionNode()
            : this(new ProfileSection())
        {
        }

        public ProfileSectionNode(ProfileSection data)
            :base(data)
        {
        }

        protected override void InitializeProperties(IPropertyAttributeService propertyAttributeService)
        {
            propertyAttributeService.AddAttributeForProperty(typeof(ProfileSection), "DefaultProvider", new TypeConverterAttribute(typeof(ProviderElementCollectionTypeConverter)));

            base.InitializeProperties(propertyAttributeService);
        }
    }
}
