using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using System.Web.Configuration;
using EnterpriseLibraryExtensions.NakedNode;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(SessionStateSectionNode))]
    [Image(typeof(SessionStateSectionNode))]
    public class SessionStateSectionNode : NakedConfigurationNode<SessionStateSection>
    {
        public SessionStateSectionNode()
            : this(new SessionStateSection())
        {
        }

        public SessionStateSectionNode(SessionStateSection data)
            : base(data)
        {
        }
    }
}
