using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using System.Web.Configuration;
using EnterpriseLibraryExtensions.NakedNode;
using System.ComponentModel;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(SiteMapSectionNode))]
    [Image(typeof(SiteMapSectionNode))]
    public class SiteMapSectionNode : NakedConfigurationNode<SiteMapSection>
    {
        public SiteMapSectionNode()
            : this(new SiteMapSection())
        {
        }

        public SiteMapSectionNode(SiteMapSection data)
            : base(data)
        {
        }

        protected override void InitializeProperties(IPropertyAttributeService propertyAttributeService)
        {
            propertyAttributeService.AddAttributeForProperty(typeof(SiteMapSection), "DefaultProvider", new TypeConverterAttribute(typeof(ProviderElementCollectionTypeConverter)));
            base.InitializeProperties(propertyAttributeService);
        }
    }
}
