using System;
using System.Collections.Generic;
using System.Text;
using System.Web.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using EnterpriseLibraryExtensions.NakedNode;

namespace EnterpriseLibraryExtensions.SystemWeb
{
    [SelectedImage(typeof(TrustSectionNode))]
    [Image(typeof(TrustSectionNode))]
    public class TrustSectionNode : NakedConfigurationNode<TrustSection>
    {
        public TrustSectionNode()
            : this(new TrustSection())
        {
        }

        public TrustSectionNode(TrustSection data)
            :base(data)
        {
        }
    }
}
